Message::Passing::Filter::Mangle(3pm)

NAME
Message::Passing::Filter::Mangle - Filter and/or mangle messages the way you want.

DESCRIPTION
This filter takes a sub which is called with the same arguments as "filter" in Message::Passing::Role::Filter minus $self.

It's intended for use with Message::Passing::DSL when you don't want to write a named filter.

ATTRIBUTES

  filter_function

METHODS

  filter
Calls filter_function passing on all received arguments but $self.

SPONSORSHIP
This module exists due to the wonderful people at Suretec Systems Ltd. <http://www.suretecsystems.com/> who sponsored its development for its VoIP division called SureVoIP <http://www.surevoip.co.uk/> for use with the SureVoIP API - <http://www.surevoip.co.uk/support/wiki/api_documentation>

AUTHOR, COPYRIGHT AND LICENSE
See Message::Passing.